import java.io.*;
import java.util.*;
import java.sql.*;

class DatabaseMetaData01 {
	public static void main(String[] args){
		try{
			ResourceBundle rb = ResourceBundle.getBundle("postgresql");
			Class.forName(rb.getString("driver"));
			String jdbc = rb.getString("jdbc");
			String dtbs = rb.getString("dtbs");
			String user = rb.getString("user");
			String pass = rb.getString("pass");
			Connection co = DriverManager.getConnection(jdbc + dtbs, user, pass);
			DatabaseMetaData dtmd = co.getMetaData();
			ResultSet rstb = dtmd.getTables(dtbs, null, "%", null);
			while(rstb.next()){
				String table = rstb.getString("TABLE_NAME");
				System.out.println(table);
				ResultSet rscl = dtmd.getColumns(dtbs, null, table, null);
				while(rscl.next()){
					System.out.println("\t" + rscl.getString("COLUMN_NAME"));
				}
			}
			co.close();
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
