import java.io.*;
import java.util.*;
import java.sql.*;

class Insert03 {
	public static void main(String[] args){
		try{
			ResourceBundle rb = ResourceBundle.getBundle("postgresql");
			Class.forName(rb.getString("driver"));
			String jdbc = rb.getString("jdbc");
			String dtbs = rb.getString("dtbs");
			String user = rb.getString("user");
			String pass = rb.getString("pass");
			Connection co = DriverManager.getConnection(jdbc + dtbs, user, pass);
			PreparedStatement ps = co.prepareStatement("INSERT INTO memberlist VALUES(?,?,?,?,?)");

			Scanner sc = new Scanner(System.in);
			System.out.print("idを入力してください : ");
			ps.setInt(1, Integer.parseInt(sc.nextLine()));
			System.out.print("nameを入力してください : ");
			ps.setString(2, sc.nextLine());
			System.out.print("genderを入力してください : ");
			ps.setInt(3, Integer.parseInt(sc.nextLine()));
			System.out.print("telを入力してください : ");
			ps.setString(4, sc.nextLine());
			System.out.print("emailを入力してください : ");
			ps.setString(5, sc.nextLine());
			int rs = ps.executeUpdate();
			System.out.println(rs + "件処理しました");
			ps.close();
			co.close();
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
