import java.io.*;
import java.util.*;
import java.sql.*;

class InsertUseRSMD01 {
	public static void main(String[] args){
		try{
			ResourceBundle rb = ResourceBundle.getBundle("postgresql");
			Class.forName(rb.getString("driver"));
			String jdbc = rb.getString("jdbc");
			String dtbs = rb.getString("dtbs");
			String user = rb.getString("user");
			String pass = rb.getString("pass");
			Connection co = DriverManager.getConnection(jdbc + dtbs, user, pass);

			Statement st = co.createStatement();
			ResultSet rs = st.executeQuery("SELECT * FROM " + args[0] + " where false");
			ResultSetMetaData rsmd = rs.getMetaData();
			int cnt = rsmd.getColumnCount();
			StringBuffer sb = new StringBuffer("INSERT INTO " + args[0] + " VALUES(?");
			for(int i = 0; i < cnt - 1; i++){
				sb.append(",?");
			}
			sb.append(")");
			PreparedStatement ps = co.prepareStatement(sb.toString());

			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			for(int i = 1; i <= cnt; i++){
				System.out.print(rsmd.getColumnName(i) + " ϤƤ : ");
				ps.setString(i, br.readLine());
			}
			ps.executeUpdate();

			br.close();
			ps.close();
			st.close();
			co.close();
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
