#! /bin/bash

basedir=../master_eucjp
rm -rf $basedir
mkdir $basedir
for d in $(find -type d ! -regex '\.\|\.\.\|.*/\..*');do
	mkdir $basedir/$d
done
for f in $(find . -type f ! -regex '\.\|\.\.\|.*/\..*\|.*\.class$\|.*\.gif$\|.*\.gz$\|.*\.swp$\|.*\.jar$');do
	iconv -f utf-8 -t euc-jp $f | sed 's/UTF-8/EUC-JP/g' > $basedir/$f
done
cp *.sh $basedir
