package cookie;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Countup01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		int count = 1;

		Cookie[] cookies = req.getCookies();
		if(cookies != null){
			for(int i = 0; i < cookies.length; i++){
				if(cookies[i].getName().equals("count")){
					count = Integer.parseInt(cookies[i].getValue()) + 1;
					break;
				}
			}
		}

		Cookie cookie = new Cookie("count", Integer.toString(count));
		cookie.setMaxAge(60*60*24*3);
		res.addCookie(cookie);

		out.print("あなたは" + count + "回目のアクセスです。");
	}
}
