package cookie;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class GetCookies01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/html;charset=UTF-8");
		PrintWriter out = res.getWriter();
		out.println("<html>");
		out.println("<head>");
		out.println("<title>クッキーの取得</title>");
		out.println("</head>");
		out.println("<body>");
		out.println("<h1>クッキーの取得</h1>");
		out.println("<table border='2'>");
		out.println("<tr><th>名前</th><th>値</th></tr>");

		Cookie[] cookies = req.getCookies();
		if(cookies != null){
			for(int i = 0; i < cookies.length; i++){
				out.print("<tr>");
				out.print("<td>" + cookies[i].getName() + "</td>");
				out.print("<td>" + cookies[i].getValue() + "</td>");
				out.println("</tr>");
			}
		}

		out.println("</table>");
		out.println("</body>");
		out.println("</html>");
	}
}
