package session;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Control02 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/html;charset=UTF-8");
		PrintWriter out = res.getWriter();
		out.println("<html>");
		out.println("<head>");
		out.println("<title>URL Encoding</title>");
		out.println("</head>");
		out.println("<body>");
		out.println("Cookie : " + req.isRequestedSessionIdFromCookie() + "<br/>");
		out.println("URLRewrite : " + req.isRequestedSessionIdFromURL() + "<br/>");
		HttpSession ses = req.getSession();
		out.println("Session ID : " + ses.getId() + "<br/>");
		String uri = req.getRequestURI();
		out.println("URI : " + uri + "<br/>");
		String encodeurl = res.encodeURL(uri);
		out.println("encodeURL : " + encodeurl + "<br/><br/>");
		out.println("<a href='" + encodeurl + "'>セッションＩＤを付加したアドレス</a>");
		out.println("</body>");
		out.println("</html>");
	}
}
