package shop;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class Serv01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		HttpSession ses = req.getSession();
		Cart01 cart = (Cart01)ses.getAttribute("shopcart01");
		if(cart == null){
			cart = new Cart01();
			ses.setAttribute("shopcart01", cart);
		}

		String type = req.getParameter("type");
		if(type.equals("add")){
			cart.addApple(Integer.parseInt(req.getParameter("apple")));
			cart.addGrape(Integer.parseInt(req.getParameter("grape")));
			cart.addMelon(Integer.parseInt(req.getParameter("melon")));
			cart.addBerry(Integer.parseInt(req.getParameter("berry")));
			res.sendRedirect("/jmwapp/shop/Input01.html");
		}else if(type.equals("order")){
			cart.clear();
			res.sendRedirect("/jmwapp/shop/Thank01.html");
		}else if(type.equals("clear")){
			cart.clear();
			res.sendRedirect("/jmwapp/shop/Show01.jsp");
		}
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		doGet(req, res);
	}
}
