package tag;

import java.io.IOException;

import javax.servlet.jsp.JspContext;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.JspFragment;
import javax.servlet.jsp.tagext.SimpleTagSupport;

public class Tag05 extends SimpleTagSupport {
	private String color;
	private int loop;

	public void setColor(String color){
		this.color = color;
	}
	public void setLoop(int loop){
		this.loop = loop;
	}
	@Override
	public void doTag() throws JspException, IOException {
		JspContext context = getJspContext();
		JspWriter out = context.getOut();
		JspFragment fragment = getJspBody();
		for(int i = 1; i <= loop; i++){
			out.print("<span style='color:" + color + "'>" + i + " : ");
			fragment.invoke(null);
			out.println("</span>");
		}
	}
}
