package ticket;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class Serv01 extends HttpServlet {
	@Override
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		HttpSession ses = req.getSession();
		Cart01 cart = (Cart01)ses.getAttribute("ticketcart");
		if(cart == null){
			cart = new Cart01();
			ses.setAttribute("ticketcart", cart);
		}

		String ope = req.getParameter("ope");
		if(ope.equals("set")){
			cart.addLpic(Integer.parseInt(req.getParameter("lpic")));
			cart.addSjcp(Integer.parseInt(req.getParameter("sjcp")));
			cart.addPsql(Integer.parseInt(req.getParameter("psql")));
			res.sendRedirect("/jmwapp/ticket/Show01.jsp");
		}else if(ope.equals("order")){
			cart.clear();
			res.sendRedirect("/jmwapp/ticket/Thank01.html");
		}else if(ope.equals("clear")){
			cart.clear();
			res.sendRedirect("/jmwapp/ticket/Show01.jsp");
		}
	}

	@Override
	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		doGet(req, res);
	}
}
