package upload;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import java.util.*;
import org.apache.commons.fileupload.*;

public class Upload01 extends HttpServlet {
	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		try{
			String path = getServletContext().getRealPath("WEB-INF/data");
			DiskFileUpload dfu = new DiskFileUpload();
			dfu.setSizeMax(-1);
			dfu.setSizeThreshold(1024);
			dfu.setRepositoryPath(path);
			dfu.setHeaderEncoding("UTF-8");
			List list = dfu.parseRequest(req);
			for(Iterator it = list.iterator(); it.hasNext();){
				FileItem fi = (FileItem)it.next();
				if(!fi.isFormField()){
					String name = fi.getName();
					fi.write(new File(path + "/" + name));
				}
			}
			res.sendRedirect("/jmwapp/upload/Upload01.html");
		}catch(Exception ex){
			throw new ServletException(ex);
		}
	}
}
