import java.io.*;
import java.util.*;
import java.sql.*;

class Execute01 {
	public static void main(String[] args){
		try{
			ResourceBundle rb = ResourceBundle.getBundle("postgresql");
			Class.forName(rb.getString("driver"));
			String jdbc = rb.getString("jdbc");
			String dtbs = rb.getString("dtbs");
			String user = rb.getString("user");
			String pass = rb.getString("pass");
			Connection co = DriverManager.getConnection(jdbc + dtbs, user, pass);
			Statement st = co.createStatement();

			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			System.out.println("Input SQL");
			String sql = br.readLine();
			boolean isQuery = st.execute(sql);
			if(isQuery){
				ResultSet rs = st.getResultSet();
				ResultSetMetaData rsmd = rs.getMetaData();
				int cnt = rsmd.getColumnCount();
				for(int i = 1; i <= cnt; i++){
					System.out.print(rsmd.getColumnName(i));
					System.out.print(i == cnt ? "\n" : "\t");
				}
				while(rs.next()){
					for(int i = 1; i <= cnt; i++){
						System.out.print(rs.getString(i));
						System.out.print(i == cnt ? "\n" : "\t");
					}
				}
			}else{
				System.out.println(st.getUpdateCount() + "ޤ");
			}
			st.close();
			co.close();
		}catch(SQLException ex){
			System.out.println("SQL˥顼ޤ");
			ex.printStackTrace();
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
