import java.io.*;
import java.util.*;
import java.sql.*;

class ResultSetMetaData01 {
	public static void main(String[] args){
		try{
			ResourceBundle rb = ResourceBundle.getBundle("postgresql");
			Class.forName(rb.getString("driver"));
			String jdbc = rb.getString("jdbc");
			String dtbs = rb.getString("dtbs");
			String user = rb.getString("user");
			String pass = rb.getString("pass");
			Connection co = DriverManager.getConnection(jdbc + dtbs, user, pass);
			Statement st = co.createStatement();
			ResultSet rs = st.executeQuery("SELECT * FROM " + args[0]);
			ResultSetMetaData rsmd = rs.getMetaData();
			int cnt = rsmd.getColumnCount();
			for(int i = 1; i <= cnt; i++){
				System.out.print(rsmd.getColumnName(i));
				System.out.print(i == cnt ? "\n" : "\t");
			}
			st.close();
			co.close();
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
