package cookie;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Color01 extends HttpServlet {
	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		String color = req.getParameter("color");
		Cookie cookie = null;
		if(color != null){
			cookie = new Cookie("color", color);
			cookie.setMaxAge(60*60*24*3);
			res.addCookie(cookie);
			req.setAttribute("color", cookie.getValue());
			req.getRequestDispatcher("/cookie/ColorShow01.jsp").forward(req, res);
			return;
		}
		Cookie[] cookies = req.getCookies();
		if(cookies != null){
			for(int i = 0; i < cookies.length; i++){
				if(cookies[i].getName().equals("color")){
					cookie = cookies[i];
					break;
				}
			}
		}

		if(cookie == null){
			req.getRequestDispatcher("/cookie/ColorSel01.html").forward(req, res);
		}else{
			req.setAttribute("color", cookie.getValue());
			req.getRequestDispatcher("/cookie/ColorShow01.jsp").forward(req, res);
		}
	}

	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		doPost(req, res);
	}
}
