package getinfo;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class GetInfo01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		out.println("\n----  HttpServletRequest Object  ----\n");
		out.println("getProtocol() : " + req.getProtocol());
		out.println("getRemoteHost() : " + req.getRemoteHost());
		out.println("getScheme() : " + req.getScheme());
		out.println("getServerName() : " + req.getServerName());
		out.println("getServerPort() : " + req.getServerPort());
		out.println("getRequestURI() : " + req.getRequestURI());
		out.println("getRequestURL() : " + req.getRequestURL());
		out.println("getContextPath() : " + req.getContextPath());
		out.println("getServletPath() : " + req.getServletPath());
		out.println("getPathInfo() : " + req.getPathInfo());
		out.println("getPathTranslated() : " + req.getPathTranslated());
		out.println("getQueryString() : " + req.getQueryString());
		out.println("getMethod() : " + req.getMethod());
		out.println("getHeader(\"user-agent\") : " + req.getHeader("user-agent"));
		out.println("\n----  ServletContext Object  ----\n");
		ServletContext app = getServletContext();
		out.println("getRealPath() : " + app.getRealPath("abc"));
		out.println("getRealPath() : " + app.getRealPath("/abc"));
		out.println("getResource() : " + app.getResource("/abc"));
		out.println("getResource() : " + app.getResource("/dir01"));
		out.println("getResource() : " + app.getResource("/WEB-INF"));
	}
}
