package intro;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import java.util.*;

public class FileSearch01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		HttpSession ses = req.getSession();
		TreeSet ts = (TreeSet)ses.getAttribute("filelist01");
		if(ts == null){
			ts = new TreeSet();
			ses.setAttribute("filelist01", ts);
		}
		String file = req.getParameter("file");
		String path = getServletContext().getRealPath("/WEB-INF/data/" + file);
		String ope = req.getParameter("ope");
		if(ope.equals("search")){
			if(new File(path).isFile()){
				ts.add(file);
			}else{
				if(file != null && !file.equals("")){
					req.setAttribute("error", file + "というファイルは存在しません。");
				}
			}
			RequestDispatcher disp = req.getRequestDispatcher("/intro/Test01.jsp");
			disp.forward(req, res);
		}else if(ope.equals("show")){
			res.setContentType("text/plain;charset=UTF-8");
			PrintWriter out = res.getWriter();
			BufferedReader bw = new BufferedReader(new FileReader(path));
			while(bw.ready()){
				out.println(bw.readLine());
			}
		}
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		doGet(req, res);
	}
}
