package seats;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class Servlet01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		String type = req.getParameter("type");
		ServletContext context = getServletContext();
		char[] rowname = {'A', 'B', 'C', 'D', 'E'};
		req.setAttribute("rowname", rowname);
		boolean[][] seats = (boolean[][])context.getAttribute("seats01");
		if(seats == null){
			seats = new boolean[5][25];
			context.setAttribute("seats01", seats);
		}
		if(type != null && type.equals("reserve")){
			String[] check = req.getParameterValues("check");
			List result = new LinkedList();
			for(int i = 0; i < check.length; i++){
				StringTokenizer st = new StringTokenizer(check[i], "_");
				int row = Integer.parseInt(st.nextToken());
				int col = Integer.parseInt(st.nextToken());
				if(seats[row][col]){
					result.add("<span style='color:red'>" + (col + 1) + "-" + rowname[row] + " : 予約できませんでした。</span>"); 
				}else{
					seats[row][col] = true;
					result.add("" + (col + 1) + "-" + rowname[row] + " : 予約できました。"); 
				}
			}
			req.setAttribute("result", result);
			req.getRequestDispatcher("/seats/Result.jsp").forward(req, res);
		}	
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		doGet(req, res);
	}
}
