package session;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Control01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		out.println("Cookie : " + req.isRequestedSessionIdFromCookie());
		out.println("URLRewrite : " + req.isRequestedSessionIdFromURL());
		HttpSession ses = req.getSession();
		out.println("Session ID : " + ses.getId());
		String uri = req.getRequestURI();
		out.println("URI : " + uri);
		out.println("encodeURL : " + res.encodeURL(uri));
	}
}
