package tag;

import java.io.IOException;

import javax.servlet.jsp.JspContext;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.SimpleTagSupport;

public class Tag06 extends SimpleTagSupport {
	private int col;
	private int row;

	public void setRow(int row){
		this.row = row;
	}
	public void setCol(int col){
		this.col = col;
	}
	@Override
	public void doTag() throws JspException, IOException {
		JspContext context = getJspContext();
		JspWriter out = context.getOut();
		out.println("<table border='1'>");
		for(int i = 1; i <= row; i++){
			out.print("<tr>");
			for(int j = 1; j <= col; j++){
				out.print("<td>" + (i * j) + "</td>");
			}
			out.println("</tr>");
		}
		out.println("</table>");
	}
}
